/*--------------------------------------------------------------------*/
/*
      Ŀ
         AnaListe - R.Cougnenc 1992 - fichier: postmsg.h           
      
*/



/*
                Valeurs des flags Messages PcBoard
*/

#define PUBLIC          ' '             /* Status flags */
#define PRIVATE         '*'
#define COMMENT         '~'

#define ECHO            'E'             /* Echo en conf rpartie */
#define LOCAL           ' '


/*
               Declarations pour les conversions de nombres Basic
*/
typedef unsigned char SingleBasic[4];
typedef unsigned char DoubleBasic[8];
typedef union
{
        double        value;
        unsigned char byte[8];
}
IEEEdouble;

#pragma pack (1)
                /* pour que le compilo comprenne bien que les chars */
                /* sont bien sur un 1 octet et non 2 */

typedef struct {                /* structure du fichier d'index (PCB 15.0) */
  long     Offset;
  long     Num;
  char     To[25];
  char     From[25];
  char     Status;
  unsigned Date;
  char     Reserved[3];
} indextype;

extern  char index_file[];

double  BasNum(SingleBasic OldNum) ;
void    ToBas(SingleBasic *New, double Old) ;

extern  int  PostMessage(char ,char ,char *,char *,char *,char *,char *);
extern  int  readtxt(char *fname,char *txtbuf);
extern  int  CodeMessage(char *text,char *msgbuf);
extern  void DateMessage(char *header);
extern  void mkPCBnames( void);
extern  int  PostFile (char *fname );
extern  long date_julien(int jour, int mois, int annee);
/*--------------------------------------------------------------------*/
